import { jsx } from "react/jsx-runtime";
import { useMemo } from "react";
import { useTranslation } from "react-i18next";
import { useCollectionManager_deprecated } from "../../hooks/index.mjs";
import Summary from "./Summary.mjs";
const FieldSummary = (props)=>{
    const { t } = useTranslation();
    const { getInterface } = useCollectionManager_deprecated();
    const schema = useMemo(()=>getInterface(props.schemaKey), [
        getInterface,
        props.schemaKey
    ]);
    return /*#__PURE__*/ jsx(Summary, {
        label: t('Field interface'),
        schema: schema
    });
};
FieldSummary.displayName = 'FieldSummary';
export { FieldSummary };
